Bug 223446 - graphics/ImageMagick: patch-config_policy.xml failed to apply cleanly
Summary: graphics/ImageMagick: patch-config_policy.xml failed to apply cleanly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks: 223545
  Show dependency treegraph
 
Reported: 2017-11-05 12:20 UTC by Charlie Li
Modified: 2018-02-14 17:00 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
patch-config_policy.xml (881 bytes, text/plain)
2017-11-07 00:20 UTC, jeremy.m.cox
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Li 2017-11-05 12:20:03 UTC
Here is a regression from building with poudriere-devel-3.1.99.20171028 on 12.0-CURRENT 1200052:

=======================<phase: patch          >============================
===>  Patching for ImageMagick-6.9.9.15,1
===>  Applying FreeBSD patches for ImageMagick-6.9.9.15,1
1 out of 1 hunks failed--saving rejects to config/policy.xml.rej
=> FreeBSD patch patch-config_policy.xml failed to apply cleanly.
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/ImageMagick

On 12.0-CURRENT 1200051 with the same poudriere-devel and port version, no problems whatsoever.
Comment 1 Charlie Li 2017-11-05 12:26:07 UTC
Forgot to mention, this build of 12.0-CURRENT 1200052 is base r325380.
Comment 2 jeremy.m.cox 2017-11-06 19:58:14 UTC
I also had the same issue. ImageMagick patched fine with 12 current (120001), but failed to patch with 1200052. I am using Poudriere (but not the devel version). I believe the patch utility was modified between 1200051 and 1200052. 

Please see r325365


I'm not sure how to fix that as my poudriere is still busy rebuilding my repo. Maybe try to remake the patch with the updated patch behavior or revert the changes to the patch utility?
Comment 3 jeremy.m.cox 2017-11-06 20:02:24 UTC
Sorry I meant base r325365
Comment 4 jeremy.m.cox 2017-11-07 00:20:09 UTC
Created attachment 187809 [details]
patch-config_policy.xml

I updated the patch so it would work with 12 current 1200052, Poudriere did accept the patch and built ImageMagick successfully with it. However, I have no idea if it will be rejected by patch with older FreeBSD builds (1200051 and earlier).
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-02-14 16:50:12 UTC
Is this stll relevant patch  shows
+  <policy domain="coder" rights="none" pattern="EPHEMERAL" />
+  <policy domain="coder" rights="none" pattern="URL" />
+  <policy domain="coder" rights="none" pattern="HTTPS" />
+  <policy domain="coder" rights="none" pattern="MVG" />
+  <policy domain="coder" rights="none" pattern="MSL" />
Comment 6 Charlie Li 2018-02-14 17:00:15 UTC
No longer relevant; fixed in first comment of bug 223545 as ports r453865.